package net.knarcraft.paidsigns.command;

import net.knarcraft.paidsigns.PaidSigns;
import net.knarcraft.paidsigns.container.PaidSign;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

/**
 * A representation of the command for removing a condition from a sign
 */
public class RemoveConditionCommand extends TokenizedCommand {

    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        super.onCommand(sender, command, label, args);
        if (argumentSize < 2) {
            return false;
        }

        String name = arguments.get(0);
        short line;
        try {
            line = Short.parseShort(arguments.get(1));
        } catch (NumberFormatException exception) {
            sender.sendMessage("Invalid line number given");
            return false;
        }
        PaidSign sign = PaidSigns.getInstance().getSignManager().getPaidSign(name);
        sign.removeCondition(line);
        sender.sendMessage("Condition removed");
        return true;
    }

}
